Subject: bug#43396: 27.1; Customized "cursor" face has no effect in daemon mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Jun 2021 10:56:40 +0300

> Date: Sat, 12 Jun 2021 15:47:36 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > I think you need to do that in server-after-make-frame-hook instead,
> > > to make it work in a daemon session.  When the daemon reads your init
> > > file, it doesn't have a GUI frame to play with, so some
> > > display-related customizations don't work until there's a frame.
> > 
> > Is this a bug, or just how this has to work?
> 
> Frankly, I'm not sure.  Given the workaround the OP posted, it sounds
> like it could be a subtle bug somewhere: custom-set-faces doesn't seem
> to call face-set-spec in the daemon case.

First thing I'd like to know is: when the first GUI frame is created
by that daemon, is there a 'cursor-color' frame parameter in that
frame's parameters list?